"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Disabled = exports.Info = exports.Size = exports.Variants = exports.Color = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _Button = _interopRequireDefault(require("../../../components/elements/buttons/Button"));

var _default = {
  title: 'Elements/Buttons/Button',
  component: _Button.default
};
exports.default = _default;

var Default = function Default() {
  return /*#__PURE__*/_react.default.createElement(_Button.default, null, "Button");
};

exports.Default = Default;

var Color = function Color() {
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, null, "Primary")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    color: "secondary"
  }, "Secondary")));
};

exports.Color = Color;

var Variants = function Variants() {
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, null, "Contained")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    variant: "outlined"
  }, "Outlined")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    variant: "text"
  }, "Text")));
};

exports.Variants = Variants;

var Size = function Size() {
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    size: "large"
  }, "Large")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, null, "Medium")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    size: "small"
  }, "Small")));
};

exports.Size = Size;

var Info = function Info() {
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    info: true
  }, "Informative Button")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    info: true,
    variant: "outlined",
    infoBackground: "successLight.main"
  }, "With Background")));
};

exports.Info = Info;

var Disabled = function Disabled() {
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    disabled: true
  }, "Contained")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    disabled: true,
    variant: "outlined"
  }, "Outlined")), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    disabled: true,
    variant: "text"
  }, "Text")));
};

exports.Disabled = Disabled;