"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WithChildren = exports.WithUserInput = exports.WithControls = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _BottomNavBar = require("../../components/navigation/BottomNavBar");

var _ControlsButtonGroup = require("../../components/navigation/ControlsButtonGroup");

var _TestRadioButton = require("../../components/elements/TestRadioButton");

var _TestRadioInputSection = _interopRequireDefault(require("./../../components/userInput/TestRadioInputSection"));

var _NavigateButton = _interopRequireDefault(require("../../components/elements/buttons/NavigateButton"));

var _Button = _interopRequireDefault(require("../../components/elements/buttons/Button"));

var _default = {
  title: 'Navigation/BottomNavBar',
  component: _BottomNavBar.BottomNavBar
};
exports.default = _default;

var Default = function Default() {
  return /*#__PURE__*/_react.default.createElement(_BottomNavBar.BottomNavBar, null, "This is a BottomNavBar with children");
};

exports.Default = Default;

var WithControls = function WithControls() {
  return /*#__PURE__*/_react.default.createElement(_BottomNavBar.BottomNavBar, {
    controls: /*#__PURE__*/_react.default.createElement(_ControlsButtonGroup.ControlsButtonGroup, {
      collapsedButton: /*#__PURE__*/_react.default.createElement(_Button.default, {
        onClick: function onClick() {
          alert('Collapsed clicked');
        },
        color: "secondary",
        fullWidth: true
      }, "\u0417\u0430\u0432\u0435\u0440\u0448\u0438\u0442\u0438 \u0442\u0435\u0441\u0442"),
      expendedButtons: [/*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        size: "large",
        onClick: function onClick() {
          alert('Going back!');
        },
        before: true
      }), /*#__PURE__*/_react.default.createElement(_Button.default, {
        size: "large",
        onClick: function onClick() {
          alert('Clicked');
        },
        fullWidth: true
      }, "\u041F\u0435\u0440\u0435\u0432\u0456\u0440\u0438\u0442\u0438"), /*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        size: "large",
        onClick: function onClick() {
          alert('Going forward!');
        }
      })]
    })
  });
};

exports.WithControls = WithControls;

var WithUserInput = function WithUserInput() {
  return /*#__PURE__*/_react.default.createElement(_BottomNavBar.BottomNavBar, {
    userInput: /*#__PURE__*/_react.default.createElement(_TestRadioInputSection.default, {
      centerContent: true,
      testRadioButtonsList: [/*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "A"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0411"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0412"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0413"
      })]
    }),
    controls: /*#__PURE__*/_react.default.createElement(_ControlsButtonGroup.ControlsButtonGroup, {
      collapsedButton: /*#__PURE__*/_react.default.createElement(_Button.default, {
        onClick: function onClick() {
          alert('Collapsed clicked');
        },
        color: "secondary",
        fullWidth: true
      }, "\u0417\u0430\u0432\u0435\u0440\u0448\u0438\u0442\u0438 \u0442\u0435\u0441\u0442"),
      expendedButtons: [/*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        onClick: function onClick() {
          alert('Going back!');
        },
        before: true
      }), /*#__PURE__*/_react.default.createElement(_Button.default, {
        onClick: function onClick() {
          alert('Clicked');
        },
        fullWidth: true
      }, "\u041F\u0435\u0440\u0435\u0432\u0456\u0440\u0438\u0442\u0438"), /*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        onClick: function onClick() {
          alert('Going forward!');
        }
      })]
    })
  });
};

exports.WithUserInput = WithUserInput;

var WithChildren = function WithChildren() {
  return /*#__PURE__*/_react.default.createElement(_BottomNavBar.BottomNavBar, {
    userInput: /*#__PURE__*/_react.default.createElement(_TestRadioInputSection.default, {
      centerContent: true,
      testRadioButtonsList: [/*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "A"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0411"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0412"
      }), /*#__PURE__*/_react.default.createElement(_TestRadioButton.TestRadioButton, {
        label: "\u0413"
      })]
    }),
    controls: /*#__PURE__*/_react.default.createElement(_ControlsButtonGroup.ControlsButtonGroup, {
      collapsedButton: /*#__PURE__*/_react.default.createElement(_Button.default, {
        onClick: function onClick() {
          alert('Collapsed clicked');
        },
        color: "secondary",
        fullWidth: true
      }, "\u0417\u0430\u0432\u0435\u0440\u0448\u0438\u0442\u0438 \u0442\u0435\u0441\u0442"),
      expendedButtons: [/*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        onClick: function onClick() {
          alert('Going back!');
        },
        before: true
      }), /*#__PURE__*/_react.default.createElement(_Button.default, {
        onClick: function onClick() {
          alert('Clicked');
        },
        fullWidth: true
      }, "\u041F\u0435\u0440\u0435\u0432\u0456\u0440\u0438\u0442\u0438"), /*#__PURE__*/_react.default.createElement(_NavigateButton.default, {
        onClick: function onClick() {
          alert('Going forward!');
        }
      })]
    })
  }, "Children content");
};

exports.WithChildren = WithChildren;